package
{
	import org.flixel.*;
	public class TitleState extends FlxState
	{
		override public function create():void
		{
			bgColor = 0xFF000000;
			var title:FlxText = new FlxText(0,50,FlxG.width,"Constellation Z");
			title.size=16;
			title.alignment="center";		
			title.color=0xffFFFFFF;
			add(title); //adds a 100px wide text field at position 0,0 (upper left)
			var subtitle:FlxText = new FlxText(0,FlxG.height/2+20,FlxG.width,"click to start");
			subtitle.alignment="center";
			subtitle.color=0xffFFFFFF;
			subtitle.size=8;
			FlxG.level=0;
			add(subtitle);
			
			subtitle = new FlxText(0,FlxG.height/2-10,FlxG.width,"Control pieces with cursor keys.\nPress 'r' to restart a level.");
			subtitle.alignment="center";
			subtitle.color=0xffFFFFFF;
			subtitle.size=8;
			FlxG.level=0;
			add(subtitle);
		}
		
		override public function update():void
		{
			if (FlxG.mouse.justPressed())
			{
				FlxG.state = new GameState();
			}
		}
	}
}